# framework::get-description

Gets the description of the specified framework.

### Usage

`string framework::get-description(framework)`

### Parameters

Name | Type | Description
--- | --- | ---
framework | string | The framework of which the description should be returned.

### Return Value

The description of the specified framework.

### Exceptions

The function will fail in any of the following circumstances:

- framework is not a valid framework identifier.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)

### See Also

framework::get-runtime-framework() | framework::get-target-framework()